dvdisaster Version 0.70 | To the Internet version

Contents

Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
| - | as a file
| - | within the image
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information

### Creating the error correction file

First create a medium image on the hard drive:

1. | Insert the medium into the drive. |
2. | Select the drive. |
3. | Select the image file name. Make sure to have enough free disk space for the image. Activate the split file option if your file system does not support files larger than 2GB. | The symbol opens the file chooser.
4. | Click on the "Read" button to start the reading process. |
5. | Watch the reading progress in the graphical representation. |

Now create the error correction file:

The image must not contain any read errors.

1. | Choose the image file. The previously read image file is pre-selected. | The symbol opens the file chooser.
2. | Select the error correction file name. | The symbol opens the file chooser.
3. | Configure the error correction. Choose "Storage method: Error correction file (RS01)." |
4. | Click on the "Create" button to generate the error correction file. |
5. | Watch the progress of the error correction file generation. |

Keep the error correction file on a reliable storage medium. Scan the protected medium for read errors on a regular basis.

### Creating the error correction file using the command line

You will need the following parameters for reading the image (defaults are given in parenthesis):

-r/ --read | Read
-d / --device | Drive selection (/dev/cdrom)
-i / --image | Image file (medium.iso)

user@linux> dvdisaster -r -d /dev/hdc -i image.iso
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnoerlich.
This software comes with ABSOLUTELY NO WARRANTY. This
is free software and you are welcome to redistribute it
under the conditions of the GNU GENERAL PUBLIC LICENSE.
See the file "COPYING" for further information.

Device: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7
Medium: DVD+R, 2224288 sectors, 1 layer(s)

Creating new image.iso image.
Waiting 5 seconds for drive to spin up...
Read position: 100.0% ( 6.3x)
All sectors successfully read.

The percentage of already read sectors and the current drive speed will be shown during the process. When reading is finished, create the error correction file:

-c/ --create | Create the error correction file
-i / --image | Image file (medium.iso)
-e / --ecc | Error correction file (medium.ecc)
-n / --redundancy | Choose redundancy (32 roots = 14.3%)

user@linux> dvdisaster -c -i image.iso -e corrdata.ecc dvdisaster-0.70 Copyright 2004-2007 Carsten Gnoerlich. [... remainder of the GPL announcement ...] Opening image.iso: 2224288 medium sectors. Scanning image sectors: 100% Encoding with Codec RS01: 32 roots, 14.3% redundancy. Ecc generation: 100.0% Error correction file "medium.ecc" created. Make sure to keep this file on a reliable medium.

The progress will be shown using a percentage reading.

When finished, the error correction file medium.ecc appears in the current directory:

user@linux> ls -lA -rwx------ 1 user linux 653721680 2004-07-02 22:45 corrdata.ecc -rwx------ 1 user linux 4555341824 2004-07-02 21:31 image.iso

You can remove the image file now,

user@linux> rm -f image.iso

but keep the error correction file on a reliable storage medium!

Hint: Combine the actions for reading the image and for creating the error correction file. This will save the image scan in the second step:

user@linux> dvdisaster -r -c -d /dev/hdc -i image.iso -e corrdata.ecc (and so on)

Copyright 2004-2007 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.